Bug 273861 - Defualt Setting problem
Defualt Setting problem
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-01 11:06 EDT by Nilesh
Modified: 2015-03-04 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nilesh 2007-09-01 11:06:18 EDT
Description of problem: After editing Default Setting,  Ok in it won't work and
no virtual host can be deleted or added. To do that i've to restart the app.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Goto 2nd tab and click Edit Default Settings
2. Then try clicking OK in Virtual host dialog. Or Adding or deleting virtual host.
3. It won't work. Restart the APP. Again the same thing.
At the terminal, the output was:

/usr/share/system-config-httpd/CheckList.py:12: DeprecationWarning: use gtk.TreeView
  CList.__init__ (self, 2)
/usr/share/system-config-httpd/ApacheConf.py:122: DeprecationWarning: use
  gtk.CList.__init__ (self, 3, [_("Error Code"), _("Behavior"), _("Location")])
Traceback (most recent call last):
  File "/usr/share/system-config-httpd/ApacheConf.py", line 543, in
    run_vhost_dialog (dialog)
  File "/usr/share/system-config-httpd/ApacheConf.py", line 467, in run_vhost_dialog
  File "/usr/share/system-config-httpd/ApacheControl.py", line 231, in
    self._dehydrate_vhost_page_4 (vhost)
  File "/usr/share/system-config-httpd/ApacheControl.py", line 545, in
    vhost.LogFormat = None
  File "/usr/share/system-config-httpd/ApacheGizmo.py", line 542, in __setattr__
    apply (ApacheBase.vhostdefault.__dict__["set"+attr], (self.__vhost, value))
  File "/usr/share/system-config-httpd/ApacheBase.py", line 2787, in setLogFormat
    return self.__LogFormat.setValue(value)
  File "/usr/lib/python2.5/site-packages/Alchemist.py", line 176, in setValue
    string_setValue (self._dat, v)
SystemError: error return without exception set
Comment 1 Bug Zapper 2008-05-14 10:11:43 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:17:36 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.